---
primaryTopic:
  Accounts:
    AccountCategory: TOTAL EXEMPTION FULL
    AccountRefDay: 30
    AccountRefMonth: 04
    LastMadeUpDate: 30/04/2025
    NextDueDate: 31/01/2027
  CompanyCategory: Private Limited Company
  CompanyName: ADAMS, COOK & PEARCE LIMITED
  CompanyNumber: 02601365
  CompanyStatus: Active
  CountryOfOrigin: United Kingdom
  IncorporationDate: 15/04/1991
  RegAddress:
    AddressLine1: 89 HIGH STREET
    AddressLine2: HUNTINGDON
    PostTown: CAMBRIDGESHIRE
    Postcode: PE29 3DP
  Returns:
    LastMadeUpDate: 15/04/2025
    NextDueDate: 29/04/2026
  SICCodes:
    SicText:
      - '47540 - Retail sale of electrical household appliances in specialised stores'
